"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArrayMonotonic = exports.ARRAY_MONOTONIC = void 0;
const class_validator_1 = require("class-validator");
const array_monotonic_predicate_1 = require("./array-monotonic.predicate");
exports.ARRAY_MONOTONIC = 'arrayMonotonic';
function ArrayMonotonic(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.ARRAY_MONOTONIC,
        validator: {
            validate: (value, _arguments) => (0, array_monotonic_predicate_1.arrayMonotonic)(value, options),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a ${options.monotonicity} array`, options),
        },
    }, options);
}
exports.ArrayMonotonic = ArrayMonotonic;
//# sourceMappingURL=array-monotonic.decorator.js.map