export declare type ArrayMonotonicityComparator<T> = (a: T, b: T) => number;
export declare type ArrayMonotonicityProjection<T> = (item: T) => number;
export declare enum Monotonicity {
    WEAKLY_INCREASING = "weakly increasing",
    STRICTLY_INCREASING = "strictly increasing",
    WEAKLY_DECREASING = "weakly decreasing",
    STRICTLY_DECREASING = "strictly decreasing"
}
export declare type ArrayMonotonicityProjectionOrComparator<T> = {
    projection: ArrayMonotonicityProjection<T>;
} | {
    comparator: ArrayMonotonicityComparator<T>;
};
export declare type ArrayMonotonicOptions<T> = ArrayMonotonicityProjectionOrComparator<T> & {
    monotonicity: Monotonicity;
};
