"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MaxBigInt = exports.MAX_BIGINT = void 0;
const class_validator_1 = require("class-validator");
const max_bigint_predicate_1 = require("./max-bigint.predicate");
exports.MAX_BIGINT = 'maxBigInt';
function MaxBigInt(maximum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAX_BIGINT,
        validator: {
            validate: (value, _arguments) => (0, max_bigint_predicate_1.maxBigInt)(value, maximum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must not be more than $constraint1`, options),
        },
    }, options);
}
exports.MaxBigInt = MaxBigInt;
//# sourceMappingURL=max-bigint.decorator.js.map