"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinBigInt = exports.MIN_BIGINT = void 0;
const class_validator_1 = require("class-validator");
const min_bigint_predicate_1 = require("./min-bigint.predicate");
exports.MIN_BIGINT = 'minBigInt';
function MinBigInt(minimum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MIN_BIGINT,
        validator: {
            validate: (value, _arguments) => (0, min_bigint_predicate_1.minBigInt)(value, minimum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must not be less than $constraint1`, options),
        },
    }, options);
}
exports.MinBigInt = MinBigInt;
//# sourceMappingURL=min-bigint.decorator.js.map