"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NegativeBigInt = exports.NEGATIVE_BIGINT = void 0;
const class_validator_1 = require("class-validator");
const negative_bigint_predicate_1 = require("./negative-bigint.predicate");
exports.NEGATIVE_BIGINT = 'negativeBigInt';
function NegativeBigInt(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.NEGATIVE_BIGINT,
        validator: {
            validate: (value, _arguments) => (0, negative_bigint_predicate_1.negativeBigInt)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a negative BigInt`, options),
        },
    }, options);
}
exports.NegativeBigInt = NegativeBigInt;
//# sourceMappingURL=negative-bigint.decorator.js.map