"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MaxDayjs = exports.MAX_DAYJS = void 0;
const class_validator_1 = require("class-validator");
const max_dayjs_predicate_1 = require("./max-dayjs.predicate");
exports.MAX_DAYJS = 'maxDayjs';
function MaxDayjs(maximum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAX_DAYJS,
        validator: {
            validate: (value, _arguments) => (0, max_dayjs_predicate_1.maxDayjs)(value, maximum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `maximal allowed date for ${eachPrefix}$property is $constraint1`, options),
        },
    }, options);
}
exports.MaxDayjs = MaxDayjs;
//# sourceMappingURL=max-dayjs.decorator.js.map