"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.maxDayjs = void 0;
const dayjs_1 = __importDefault(require("dayjs"));
const is_dayjs_1 = require("../../dayjs/is-dayjs");
function maxDayjs(value, maximum) {
    const max = (0, dayjs_1.default)(maximum);
    if (!max.isValid()) {
        throw new TypeError(`Parameter "maximum" must be a valid date`);
    }
    return (0, is_dayjs_1.isDayjs)(value, { is_valid: true }) && !(max.isBefore(value) || max.isSame(value));
}
exports.maxDayjs = maxDayjs;
//# sourceMappingURL=max-dayjs.predicate.js.map