"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinDayjs = exports.MIN_DAYJS = void 0;
const class_validator_1 = require("class-validator");
const min_dayjs_predicate_1 = require("./min-dayjs.predicate");
exports.MIN_DAYJS = 'minDayjs';
function MinDayjs(minimum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MIN_DAYJS,
        validator: {
            validate: (value, _arguments) => (0, min_dayjs_predicate_1.minDayjs)(value, minimum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `minimal allowed date for ${eachPrefix}$property is $constraint1`, options),
        },
    }, options);
}
exports.MinDayjs = MinDayjs;
//# sourceMappingURL=min-dayjs.decorator.js.map