"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.minDayjs = void 0;
const dayjs_1 = __importDefault(require("dayjs"));
const is_dayjs_1 = require("../../dayjs/is-dayjs");
function minDayjs(value, minimum) {
    const min = (0, dayjs_1.default)(minimum);
    if (!min.isValid()) {
        throw new TypeError(`Parameter "minimum" must be a valid date`);
    }
    return (0, is_dayjs_1.isDayjs)(value, { is_valid: true }) && !(min.isAfter(value) || min.isSame(value));
}
exports.minDayjs = minDayjs;
//# sourceMappingURL=min-dayjs.predicate.js.map