"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PastDayjs = exports.PAST_DAYJS = void 0;
const class_validator_1 = require("class-validator");
const past_dayjs_predicate_1 = require("./past-dayjs.predicate");
exports.PAST_DAYJS = 'pastDayjs';
function PastDayjs(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.PAST_DAYJS,
        validator: {
            validate: (value, _arguments) => (0, past_dayjs_predicate_1.pastDayjs)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Dayjs object in the past`, options),
        },
    }, options);
}
exports.PastDayjs = PastDayjs;
//# sourceMappingURL=past-dayjs.decorator.js.map