"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapContainsKeys = exports.MAP_CONTAINS_KEYS = void 0;
const class_validator_1 = require("class-validator");
const map_contains_keys_predicate_1 = require("./map-contains-keys.predicate");
exports.MAP_CONTAINS_KEYS = 'mapContainsKeys';
function MapContainsKeys(required, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_CONTAINS_KEYS,
        validator: {
            validate: (value, _arguments) => (0, map_contains_keys_predicate_1.mapContainsKeys)(value, required),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain $constraint1 keys`, options),
        },
    }, options);
}
exports.MapContainsKeys = MapContainsKeys;
//# sourceMappingURL=map-contains-keys.decorator.js.map