"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapMaxSize = exports.MAP_MAX_SIZE = void 0;
const class_validator_1 = require("class-validator");
const map_max_size_predicate_1 = require("./map-max-size.predicate");
exports.MAP_MAX_SIZE = 'mapMaxSize';
function MapMaxSize(maximum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_MAX_SIZE,
        validator: {
            validate: (value, _arguments) => (0, map_max_size_predicate_1.mapMaxSize)(value, maximum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain not more than $constraint1 elements`, options),
        },
    }, options);
}
exports.MapMaxSize = MapMaxSize;
//# sourceMappingURL=map-max-size.decorator.js.map