"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapMinSize = exports.MAP_MIN_SIZE = void 0;
const class_validator_1 = require("class-validator");
const map_min_size_predicate_1 = require("./map-min-size.predicate");
exports.MAP_MIN_SIZE = 'mapMinSize';
function MapMinSize(minimum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_MIN_SIZE,
        validator: {
            validate: (value, _arguments) => (0, map_min_size_predicate_1.mapMinSize)(value, minimum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain at least $constraint1 elements`, options),
        },
    }, options);
}
exports.MapMinSize = MapMinSize;
//# sourceMappingURL=map-min-size.decorator.js.map