"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapNotContainsKeys = exports.MAP_NOT_CONTAINS_KEYS = void 0;
const class_validator_1 = require("class-validator");
const map_not_contains_keys_predicate_1 = require("./map-not-contains-keys.predicate");
exports.MAP_NOT_CONTAINS_KEYS = 'mapNotContainsKeys';
function MapNotContainsKeys(forbidden, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_NOT_CONTAINS_KEYS,
        validator: {
            validate: (value, _arguments) => (0, map_not_contains_keys_predicate_1.mapNotContainsKeys)(value, forbidden),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property should not contain $constraint1 keys`, options),
        },
    }, options);
}
exports.MapNotContainsKeys = MapNotContainsKeys;
//# sourceMappingURL=map-not-contains-keys.decorator.js.map