"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapNotContains = exports.MAP_NOT_CONTAINS = void 0;
const class_validator_1 = require("class-validator");
const map_not_contains_predicate_1 = require("./map-not-contains.predicate");
exports.MAP_NOT_CONTAINS = 'mapNotContains';
function MapNotContains(forbidden, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_NOT_CONTAINS,
        validator: {
            validate: (value, _arguments) => (0, map_not_contains_predicate_1.mapNotContains)(value, forbidden),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property should not contain $constraint1 values`, options),
        },
    }, options);
}
exports.MapNotContains = MapNotContains;
//# sourceMappingURL=map-not-contains.decorator.js.map