"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapUniqueKeys = exports.MAP_UNIQUE_KEYS = void 0;
const class_validator_1 = require("class-validator");
const map_unique_keys_predicate_1 = require("./map-unique-keys.predicate");
exports.MAP_UNIQUE_KEYS = 'mapUniqueKeys';
function MapUniqueKeys(projection, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_UNIQUE_KEYS,
        validator: {
            validate: (value, _arguments) => (0, map_unique_keys_predicate_1.mapUniqueKeys)(value, projection),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}all $property's keys must be unique`, options),
        },
    }, options);
}
exports.MapUniqueKeys = MapUniqueKeys;
//# sourceMappingURL=map-unique-keys.decorator.js.map